%:- consult('main.pl').

%:- assert(currentPlayer(yellow)).
%:- main.

:- assert(cards([29,33,13,22,18,52,17,21,46,36, 15, 10, 5, 23, 14, 16, 38, 32, 19, 54, 49, 31, 7, 41, 45, 8, 30, 43, 12, 56, 47, 24, 25, 42, 28, 55, 37, 39, 4, 53])).

%query(_,_) :- true.
%broadcasting(_) :- true.

initialize_taoist :-
	broadcastQi(yellow),
	broadcastQi(red),
	broadcastQi(green),
	broadcastQi(blue).

next_round :-
	actionGhosts,
	addGhost,
	moveTaoist,
	taoDoNext,
	nextPlayer.
